export { Store } from './Store';
export declare const reducers: {
    '@ide-stack/counter': (state: {
        value: number;
    }, action: {
        type: "@@ide-stack/INCREMENT_COUNTER";
        delta: number;
    } | {
        type: "@@ide-stack/RESET_COUNTER";
    } | ({
        type: "@@ide-stack/SAVE_COUNT_REQUEST";
    } & {
        request: {
            value: number;
        };
    }) | ({
        type: "@@ide-stack/SAVE_COUNT_SUCCESS";
    } & {
        request: {
            value: number;
        };
    } & {
        response: {};
    }) | ({
        type: "@@ide-stack/SAVE_COUNT_ERROR";
    } & {
        request: {
            value: number;
        };
    } & {
        error: Error;
    }) | ({
        type: "@@ide-stack/LOAD_COUNT_REQUEST";
    } & {
        request: null;
    }) | ({
        type: "@@ide-stack/LOAD_COUNT_SUCCESS";
    } & {
        request: null;
    } & {
        response: {
            value: number;
        };
    }) | ({
        type: "@@ide-stack/LOAD_COUNT_ERROR";
    } & {
        request: null;
    } & {
        error: Error;
    })) => {
        value: number;
    };
    '@ide-stack/isSaving': (state: boolean, action: {
        type: "@@ide-stack/INCREMENT_COUNTER";
        delta: number;
    } | {
        type: "@@ide-stack/RESET_COUNTER";
    } | ({
        type: "@@ide-stack/SAVE_COUNT_REQUEST";
    } & {
        request: {
            value: number;
        };
    }) | ({
        type: "@@ide-stack/SAVE_COUNT_SUCCESS";
    } & {
        request: {
            value: number;
        };
    } & {
        response: {};
    }) | ({
        type: "@@ide-stack/SAVE_COUNT_ERROR";
    } & {
        request: {
            value: number;
        };
    } & {
        error: Error;
    }) | ({
        type: "@@ide-stack/LOAD_COUNT_REQUEST";
    } & {
        request: null;
    }) | ({
        type: "@@ide-stack/LOAD_COUNT_SUCCESS";
    } & {
        request: null;
    } & {
        response: {
            value: number;
        };
    }) | ({
        type: "@@ide-stack/LOAD_COUNT_ERROR";
    } & {
        request: null;
    } & {
        error: Error;
    })) => boolean;
    '@ide-stack/isLoading': (state: boolean, action: {
        type: "@@ide-stack/INCREMENT_COUNTER";
        delta: number;
    } | {
        type: "@@ide-stack/RESET_COUNTER";
    } | ({
        type: "@@ide-stack/SAVE_COUNT_REQUEST";
    } & {
        request: {
            value: number;
        };
    }) | ({
        type: "@@ide-stack/SAVE_COUNT_SUCCESS";
    } & {
        request: {
            value: number;
        };
    } & {
        response: {};
    }) | ({
        type: "@@ide-stack/SAVE_COUNT_ERROR";
    } & {
        request: {
            value: number;
        };
    } & {
        error: Error;
    }) | ({
        type: "@@ide-stack/LOAD_COUNT_REQUEST";
    } & {
        request: null;
    }) | ({
        type: "@@ide-stack/LOAD_COUNT_SUCCESS";
    } & {
        request: null;
    } & {
        response: {
            value: number;
        };
    }) | ({
        type: "@@ide-stack/LOAD_COUNT_ERROR";
    } & {
        request: null;
    } & {
        error: Error;
    })) => boolean;
    '@ide-stack/error': (state: string, action: {
        type: "@@ide-stack/INCREMENT_COUNTER";
        delta: number;
    } | {
        type: "@@ide-stack/RESET_COUNTER";
    } | ({
        type: "@@ide-stack/SAVE_COUNT_REQUEST";
    } & {
        request: {
            value: number;
        };
    }) | ({
        type: "@@ide-stack/SAVE_COUNT_SUCCESS";
    } & {
        request: {
            value: number;
        };
    } & {
        response: {};
    }) | ({
        type: "@@ide-stack/SAVE_COUNT_ERROR";
    } & {
        request: {
            value: number;
        };
    } & {
        error: Error;
    }) | ({
        type: "@@ide-stack/LOAD_COUNT_REQUEST";
    } & {
        request: null;
    }) | ({
        type: "@@ide-stack/LOAD_COUNT_SUCCESS";
    } & {
        request: null;
    } & {
        response: {
            value: number;
        };
    }) | ({
        type: "@@ide-stack/LOAD_COUNT_ERROR";
    } & {
        request: null;
    } & {
        error: Error;
    })) => string;
};
